Get knowledge base
curl --request GET \
--url https://api.sigmamind.ai/v1/knowledge-bases/{kbId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/knowledge-bases/{kbId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/knowledge-bases/{kbId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kbId": "kb_6sbr3tbMX757M0VD",
"name": "Support FAQs",
"files": [
{
"documentId": "doc_a1b2c3d4e5f67890",
"type": "url",
"content": "https://docs.example.com/guide"
}
],
"createdAt": "2026-05-06T11:15:02.073Z",
"updatedAt": "2026-05-06T11:15:02.073Z"
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/knowledge-bases",
"status": 400,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/knowledge-bases",
"status": 401,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/knowledge-bases",
"status": 403,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/knowledge-bases",
"status": 404,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Payload Too Large",
"message": "An uploaded file exceeds the per-file size limit (25 MB).",
"path": "/v1/knowledge-bases",
"status": 413,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Unsupported Media Type",
"message": "Uploaded file type is not supported. Allowed: PDF, TXT, HTML, Markdown, DOCX.",
"path": "/v1/knowledge-bases",
"status": 415,
"timestamp": "2026-05-14T14:27:22.328Z"
}{
"error": "Internal Server Error",
"message": "Something went wrong on the server",
"path": "/v1/knowledge-bases",
"status": 500,
"timestamp": "2026-05-14T14:27:22.328Z"
}Knowledge bases
Get knowledge base
Retrieves a single knowledge base along with its associated sources and timestamps.
GET
/
v1
/
knowledge-bases
/
{kbId}
Get knowledge base
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
Knowledge base id from a create or list response.
Response
The knowledge base.
A knowledge base and its sources.
Use this id in the URL when fetching, updating, or deleting this knowledge base.
Required string length:
1 - 64Example:
"kb_6sbr3tbMX757M0VD"
Knowledge base name
Maximum string length:
512Example:
"Support FAQs"
Ordered sources; each item has documentId, type, and content.
Show child attributes
Show child attributes
When the knowledge base was created.
Example:
"2026-05-06T11:15:02.073Z"
When the knowledge base or its sources were last changed.
Example:
"2026-05-06T11:15:02.073Z"
⌘I